net.sf.jasperreports.data.xls

## Class XlsDataAdapterImpl

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapter
  - - net.sf.jasperreports.data.xls.XlsDataAdapterImpl

- All Implemented Interfaces:
    DataAdapter, XlsDataAdapter
  Direct Known Subclasses:
    ExcelDataAdapterImpl, XlsxDataAdapterImpl

      public class XlsDataAdapterImpl
      extends AbstractDataAdapter
      implements XlsDataAdapter

  Version:
    $Id: XlsDataAdapterImpl.java 6920 2014-02-24 09:42:04Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XlsDataAdapterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Integer>` | `getColumnIndexes()`
    `java.util.List<java.lang.String>` | `getColumnNames()`
    `java.lang.String` | `getDatePattern()`
    `java.lang.String` | `getFileName()`
    `java.lang.String` | `getNumberPattern()`
    `java.lang.String` | `getSheetSelection()`
    `boolean` | `isQueryExecuterMode()`
    `boolean` | `isUseFirstRowAsHeader()`
    `void` | `setColumnIndexes(java.util.List<java.lang.Integer> columnIndexes)`
    `void` | `setColumnNames(java.util.List<java.lang.String> columnNames)`
    `void` | `setDatePattern(java.lang.String datePattern)`
    `void` | `setFileName(java.lang.String filename)`
    `void` | `setNumberPattern(java.lang.String numberPattern)`
    `void` | `setQueryExecuterMode(boolean queryExecuterMode)`
    `void` | `setSheetSelection(java.lang.String sheetSelection)`
    `void` | `setUseFirstRowAsHeader(boolean useFirstRowAsHeader)`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapter

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Constructor Detail

    - #### XlsDataAdapterImpl

          public XlsDataAdapterImpl()

  - ### Method Detail

    - #### getDatePattern

          public java.lang.String getDatePattern()

      Specified by:
        `getDatePattern` in interface `XlsDataAdapter`

    - #### getNumberPattern

          public java.lang.String getNumberPattern()

      Specified by:
        `getNumberPattern` in interface `XlsDataAdapter`

    - #### getFileName

          public java.lang.String getFileName()

      Specified by:
        `getFileName` in interface `XlsDataAdapter`

    - #### setFileName

          public void setFileName(java.lang.String filename)

      Specified by:
        `setFileName` in interface `XlsDataAdapter`

    - #### isUseFirstRowAsHeader

          public boolean isUseFirstRowAsHeader()

      Specified by:
        `isUseFirstRowAsHeader` in interface `XlsDataAdapter`

    - #### getColumnNames

          public java.util.List<java.lang.String> getColumnNames()

      Specified by:
        `getColumnNames` in interface `XlsDataAdapter`

    - #### getColumnIndexes

          public java.util.List<java.lang.Integer> getColumnIndexes()

      Specified by:
        `getColumnIndexes` in interface `XlsDataAdapter`

    - #### setColumnNames

          public void setColumnNames(java.util.List<java.lang.String> columnNames)

      Specified by:
        `setColumnNames` in interface `XlsDataAdapter`

    - #### setColumnIndexes

          public void setColumnIndexes(java.util.List<java.lang.Integer> columnIndexes)

      Specified by:
        `setColumnIndexes` in interface `XlsDataAdapter`

    - #### setUseFirstRowAsHeader

          public void setUseFirstRowAsHeader(boolean useFirstRowAsHeader)

      Specified by:
        `setUseFirstRowAsHeader` in interface `XlsDataAdapter`

    - #### setDatePattern

          public void setDatePattern(java.lang.String datePattern)

      Specified by:
        `setDatePattern` in interface `XlsDataAdapter`

    - #### setNumberPattern

          public void setNumberPattern(java.lang.String numberPattern)

      Specified by:
        `setNumberPattern` in interface `XlsDataAdapter`

    - #### isQueryExecuterMode

          public boolean isQueryExecuterMode()

      Specified by:
        `isQueryExecuterMode` in interface `XlsDataAdapter`

    - #### setQueryExecuterMode

          public void setQueryExecuterMode(boolean queryExecuterMode)

      Specified by:
        `setQueryExecuterMode` in interface `XlsDataAdapter`

    - #### getSheetSelection

          public java.lang.String getSheetSelection()

      Specified by:
        `getSheetSelection` in interface `XlsDataAdapter`

    - #### setSheetSelection

          public void setSheetSelection(java.lang.String sheetSelection)

      Specified by:
        `setSheetSelection` in interface `XlsDataAdapter`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com